# Chain Variable Transactions 93-99

## Changes

This fully activates POC V11 by activating the following chain variables:

### Binary blobs containing GeoJSON data:

```
region_as923_1
region_as923_2
region_as923_3
region_as923_4
region_au915
region_cn470
region_eu433
region_eu868
region_in865
region_kr920
region_ru864
region_us915
```

### Supporting vars:

```
poc_version                 11
fspl_loss                   1.3
poc_distance_limit          50
regulatory_regions          <<"region_as923_1 region_as923_2 region_as923_3 region_as923_4 region_au915 region_cn470 region_eu433 region_eu868 region_in865 region_kr920 region_ru864 region_us915">>
```

### Blocks with chain variables:

```
[{1091611,
  [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"region_us915",
                                                     "binary",
                                                     <<255,255,255,255,255,127,2,8,255,255,255,255,255,35,17,
                                                       8,255,255,...>>}],
                              0,
                              <<48,69,2,32,36,50,13,114,181,146,36,170,225,221,118,26,
                                211,61,76,180,244,...>>,
                              <<>>,<<>>,[],[],93,[],[],[]}]},
 {1091616,
  [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"region_eu433",
                                                     "binary",
                                                     <<255,255,255,255,255,17,34,8,255,255,255,255,255,152,35,
                                                       8,255,...>>},
                               {blockchain_var_v1_pb,"region_eu868","binary",
                                                     <<255,255,255,255,255,231,30,8,255,255,255,255,127,250,
                                                       33,8,...>>}],
                              0,
                              <<48,70,2,33,0,238,176,144,89,67,142,86,8,92,48,229,164,
                                25,197,238,...>>,
                              <<>>,<<>>,[],[],94,[],[],[]}]},
 {1091620,
  [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"region_au915",
                                                     "binary",
                                                     <<255,255,255,255,255,179,24,8,255,255,255,255,255,139,
                                                       30,8,...>>},
                               {blockchain_var_v1_pb,"region_cn470","binary",
                                                     <<255,255,255,255,255,215,19,8,255,255,255,255,255,27,
                                                       19,...>>}],
                              0,
                              <<48,70,2,33,0,212,250,210,88,56,129,220,167,119,185,160,
                                158,53,69,...>>,
                              <<>>,<<>>,[],[],95,[],[],[]}]},
 {1091627,
  [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"region_as923_1",
                                                     "binary",
                                                     <<255,255,255,255,127,107,41,8,255,255,255,255,127,74,38,
                                                       ...>>},
                               {blockchain_var_v1_pb,"region_as923_2","binary",
                                                     <<255,255,255,255,255,83,25,8,255,255,255,255,255,86,...>>},
                               {blockchain_var_v1_pb,"region_as923_3","binary",
                                                     <<255,255,255,255,127,143,35,8,255,255,255,255,255,...>>},
                               {blockchain_var_v1_pb,"region_as923_4","binary",
                                                     <<"ÿÿÿÿ-ÛB\bÿÿÿ?\nÛR\bÿÿÿÿÈæS\bÿÿÿ"...>>}],
                              0,
                              <<48,69,2,32,42,91,7,201,0,32,2,91,33,115,76,33,208,143,
                                ...>>,
                              <<>>,<<>>,[],[],96,[],[],[]}]},
 {1091632,
  [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"region_in865",
                                                     "binary",
                                                     <<255,255,255,255,255,202,35,8,255,255,255,255,127,36,...>>},
                               {blockchain_var_v1_pb,"region_kr920","binary",
                                                     <<255,255,255,255,63,14,51,8,255,255,255,255,47,...>>},
                               {blockchain_var_v1_pb,"region_ru864","binary",
                                                     <<255,255,255,255,255,75,16,8,255,255,255,255,...>>}],
                              0,
                              <<48,68,2,32,2,91,186,50,127,37,246,197,117,195,43,11,185,
                                ...>>,
                              <<>>,<<>>,[],[],97,[],[],[]}]}]

 {1091693,
   [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"fspl_loss",
                                                      "float",<<"1.30000000000000004441e+00">>},
                                {blockchain_var_v1_pb,"poc_distance_limit","int",<<"50">>},
                                {blockchain_var_v1_pb,"poc_version","int",<<"11">>},
                                {blockchain_var_v1_pb,"regulatory_regions","binary",
                                                      <<"region_as923_1,region_as923_2,region_as923_3,region_as923_4,"...>>}],
                               0,
                               <<48,68,2,32,74,131,41,125,93,216,253,1,144,139,34,240,50,
                                 111,248,240,40,...>>,
                               <<>>,<<>>,[],[],98,[],[],[]}]}]
 
 {1091712,
   [{blockchain_txn_vars_v1_pb,[{blockchain_var_v1_pb,"regulatory_regions",
                                                      "binary",
                                                      <<"region_as923_1,region_as923_2,region_as923_3,region_as923_4,region_au915,region_cn470,region_eu433,region_eu868,region_in865,region_kr920,region_ru864,region_us915">>}],
                               0,
                               <<48,69,2,33,0,223,32,33,145,64,23,187,6,65,31,118,126,39,
                                 0,152,61,151,124,225,175,224,229,28,18,178,207,100,37,
                                 242,217,221,39,2,32,33,154,36,15,198,51,208,227,216,125,
                                 111,180,158,147,111,220,33,15,233,175,143,10,98,190,252,
                                 37,132,144,220,94,245,56>>,
                               <<>>,<<>>,[],[],99,[],[],[]}]}]
 
```
